FreeMat

- Main Page
- Related Pages

vtkDataObjectCollection

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDataObjectCollection is an object that creates and manipulates lists of data objects. See also vtkCollection and subclasses.

To create an instance of class vtkDataObjectCollection, simply invoke its constructor as follows

      obj = vtkDataObjectCollection

# Methods

The class vtkDataObjectCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataObjectCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataObjectCollection = obj.NewInstance ()`
- `vtkDataObjectCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkDataObject ds)` - Get the next data object in the list.
- `vtkDataObject = obj.GetNextItem ()` - Get the ith data object in the list.
- `vtkDataObject = obj.GetItem (int i)`